<script type="text/javascript">  
$(function() {
    $(".preload").fadeOut(500, function() {
        $(".content").fadeIn(500);       	
    });
});
</script>

<style>
.content {display:none;}
.preload { 
        
    top: 50%;
    left: 50%;
    background-color: white;
}
#imgload{
	margin-left: 250px;
    margin-right: auto;
}
</style>

<div class="preload" >
	<div id="imgload">
		<img src="#{assets '/images/loadingPesawat.gif'/}">
	</div>
</div>

<div class="content">
 


<table class="table table-sm">
    <tr>
        <th width="20%">Kode Tender</th>
        <td colspan="3"><strong>${lelang.lls_id}</strong></td>
    </tr>
    <tr>
        <th>Nama Tender</th>
        <td colspan="3"><strong>${lelang.pkt_nama}</strong></td>
    </tr>
    *{
    <tr>
        <th>Keterangan</th>
        <td colspan="3">${lelang.lls_keterangan}</td>
    </tr>
    }*
    <tr>
        <th>Tahap Tender saat ini</th>
        <td colspan="3"><a href="@{lelang.JadwalCtr.tahap(lelang.lls_id)}" target="_blank">${lelang.tahapNow}</a></td>
    </tr>
    *{
    <tr>
        <th>Agency</th>
        <td colspan="3">${lelang.agc_nama}</td>
    </tr>
    }*   
    <tr>
        <th>Satuan Kerja</th>
        <td colspan="3">${lelang?.nama_satker}</td>
    </tr>
    <tr>
        <th>Kategori</th>
        <td colspan="3">
            ${lelang.kategori?.nama}
        </td>
    </tr>
    <tr>
        <th>Sistem Pengadaan</th>
        <td colspan="3" >${lelang?.pemilihan?.label} - ${lelang?.metode?.label} - ${lelang?.evaluasi?.label}</td>
    </tr>
    <tr>
        <th>Tahun Anggaran</th>
        <td colspan="3" class="field2">#{list anggaranList, as:'anggaran'} ${anggaran.ang_tahun} - ${anggaran.sbd_id.label}#{/list}</td>
    </tr>
    #{if lelang.getPaket().isEnableViewHps()}
        <tr>
            <th>Nilai HPS Paket</th>
            <td colspan="3">${lelang.pkt_hps.rupiah()}</td>
        </tr>
    #{/if}
	<tr>
        <th>Jenis Kontrak</th>
        <td colspan="3">
		    <table class="table table-sm">
		    	<tr>
		    		<td>Cara Pembayaran</td>
		    		<td>${lelang?.kontrak_pembayaran?.label}</td>
		    	</tr>
		    </table>
        </td>
    </tr>
    <tr>
        <th>Lokasi Pekerjaan</th>
        <td colspan="3"><ul>
                #{list lokasiList, as:'pkl'}
                <li>${pkl.pkt_lokasi} - ${pkl.kabupaten?.kbp_nama}</li>
                #{/list}
            </ul>
        </td>
    </tr>
    #{if !lelang.isKonsultansi() && !lelang.isJkKonstruksi()}
    <tr>
        <th>Kualifikasi Usaha</th>
        <td colspan="3">${lelang.kualifikasi?.label}</td>
    </tr>
    #{/if}
    #{if lelang?.lls_bobot_teknis}
    <tr>
        <th>Bobot Teknis</th>
        <td colspan="3">${lelang?.lls_bobot_teknis}</td>
    </tr>
    #{/if}
    #{if lelang?.lls_bobot_biaya}
    <tr>
        <th>Bobot Biaya</th>
        <td colspan="3">${lelang?.lls_bobot_biaya}</td>
    </tr>
    #{/if}
    <tr>
        <th>Persyaratan Kualifikasi</th>
        <td colspan="3">#{syaratKualifikasi lelang /}</td>
    </tr>       
</table>
#{if allowed}
	#{form @lelang.PendaftaranLelangCtr.submit(lelang.lls_id), id:'formPendaftaranLelang'}
	<div class="card card-default">
		<div class="card-header">Mengikuti Tender</div>
		<div class="card-body">
			#{paktaIntegritas active_user:active_user/}
			<div class="form-group">
				<input type="hidden" name="setuju" value="true" />
				#{saveButton title:'Setuju &amp; Ikut Tender', confirm:'Apakah Anda yakin akan mengikuti Tender ini?'/}
				<button type="button" class="btn btn-secondary" data-dismiss="modal">Tidak Setuju</button>
			</div>
		</div>
	</div>
	#{/form}
#{/if}
#{else}
	#{if lelang.lelangV3}
	<div class="alert alert-warning">
		Tender ini dibuat untuk SPSE versi 3. Silakan gunakan SPSE versi 3 untuk mendaftar.
	</div>
	#{/if}
#{/else}
    <div class="alert alert-warning" role="alert" id="load">
        <p><h5><strong><i class="fa fa-history" aria-hidden="true"></i>
        Mohon Tunggu.. sedang pengecekan ${isOsd ? 'sertifikat dan' : ''} daftar blacklist.</strong></h5></p>
    </div>
    <div class="alert alert-danger" style="display: none" role="alert" id="blacklisted">
        <p id="message-content"></p>
    </div>
</div>

<script type="text/javascript">

    $(document).ready(function() {

        $('#load').hide();

        $('#blacklisted').hide();

        $('#formPendaftaranLelang').submit(function() {
            //pengecekan blacklist
            var valid = true;
            var llsId = '${lelang.lls_id}'
            var blacklistUrl = #{jsRoute @lelang.PendaftaranLelangCtr.checkRequirements(':llsId') /};

            $(this).hide();
            $('#load').show();

            $.ajax({
                type: 'POST',
                async: false,
                url: blacklistUrl.url({llsId: llsId}),
                success: function (data) {
                    if (!data.status) {
                        valid = false;
                        $(this).hide();
                        $('#blacklisted').show();
                        $('#message-content').html(data.message)
                    } else{
                        this.show();
                    }
                    $('#load').hide();
                },
                error: function () {
                    $('#load').hide();
                    $(this).show();
                    alert('error');
                }
            })
            return valid;
        });
    });

</script>